package com.ruoyi.ngtools.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 流量计参数对象 ng_meterpar
 * 
 * @author ruoyi
 * @date 2025-02-09
 */
public class NgMeterpar extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID  */
    private String id;

    /** 创建人名称  */
    @Excel(name = "创建人名称 ")
    private String createName;

    /** 更新人名称  */
    @Excel(name = "更新人名称 ")
    private String updateName;

    /** 流量计算标准  */
    @Excel(name = "流量计算标准 ")
    private String dFlowCalbz;

    /** 压缩因子计算标准  */
    @Excel(name = "压缩因子计算标准 ")
    private String dZcalbz;

    /** 计量参比条件压力  */
    @Excel(name = "计量参比条件压力 ")
    private String dCbtj;

    /** 计量参比条件压力  */
    @Excel(name = "计量参比条件压力 ")
    private String dpbM;

    /** 计量参比条件温度  */
    @Excel(name = "计量参比条件温度 ")
    private String dtbM;

    /** 燃烧参比条件压力  */
    @Excel(name = "燃烧参比条件压力 ")
    private String dpbE;

    /** 燃烧参比条件温度  */
    @Excel(name = "燃烧参比条件温度 ")
    private String dtbE;

    /** 当地大气压  */
    @Excel(name = "当地大气压 ")
    private String dPatm;

    /** 当地大气压单位  */
    @Excel(name = "当地大气压单位 ")
    private String dPatmUnit;

    /** 天然气组分  */
    @Excel(name = "天然气组分 ")
    private String dngCompents;

    /** 流量计类别  */
    @Excel(name = "流量计类别 ")
    private String dMeterType;

    /** 节流装置类型  */
    @Excel(name = "节流装置类型 ")
    private String dCoreType;

    /** 取压方式  */
    @Excel(name = "取压方式 ")
    private String dPtmode;

    /** 管道类型  */
    @Excel(name = "管道类型 ")
    private String dPipeType;

    /** 管道内径  */
    @Excel(name = "管道内径 ")
    private String dPipeD;

    /** 长度单位  */
    @Excel(name = "长度单位 ")
    private String dLenUnit;

    /** 管道内径参考温度  */
    @Excel(name = "管道内径参考温度 ")
    private String dPipeDtemp;

    /** 温度单位  */
    @Excel(name = "温度单位 ")
    private String dPileDtempU;

    /** 管道材料  */
    @Excel(name = "管道材料 ")
    private String dPipeMaterial;

    /** 孔板孔径  */
    @Excel(name = "孔板孔径 ")
    private String dOrificeD;

    /** 长度单位  */
    @Excel(name = "长度单位 ")
    private String dOrificeUnit;

    /** 孔板内径参考温度  */
    @Excel(name = "孔板内径参考温度 ")
    private String dOrificeDtemp;

    /** 温度单位  */
    @Excel(name = "温度单位 ")
    private String dOrificeDtempUnit;

    /** 孔板材料  */
    @Excel(name = "孔板材料 ")
    private String dOrificeMaterial;

    /** 锐利度系数计算方法  */
    @Excel(name = "锐利度系数计算方法 ")
    private String dOrificeSharpness;

    /** 孔板入口圆弧半径  */
    @Excel(name = "孔板入口圆弧半径 ")
    private String dOrificeRk;

    /** 长度单位  */
    @Excel(name = "长度单位 ")
    private String dOrificeRkLenU;

    /** 输入压力  */
    @Excel(name = "输入压力 ")
    private String dPf;

    /** 压力单位  */
    @Excel(name = "压力单位 ")
    private String dPfUnit;

    /** 压力类型  */
    @Excel(name = "压力类型 ")
    private String dPfType;

    /** 输入温度  */
    @Excel(name = "输入温度 ")
    private String dTf;

    /** 温度单位  */
    @Excel(name = "温度单位 ")
    private String dTfUnit;

    /** 输入差压  */
    @Excel(name = "输入差压 ")
    private String dDp;

    /** 压力单位  */
    @Excel(name = "压力单位 ")
    private String dDpUnit;

    /** 体积流量单位  */
    @Excel(name = "体积流量单位 ")
    private String dVFlowUnit;

    /** 质量流量单位  */
    @Excel(name = "质量流量单位 ")
    private String dMFlowUnit;

    /** 能量流量单位  */
    @Excel(name = "能量流量单位 ")
    private String dEFlowUnit;

    /** 流出系数  */
    @Excel(name = "流出系数 ")
    private String dCd;

    /** 流出系数计算方法  */
    @Excel(name = "流出系数计算方法 ")
    private String dCdCalMethod;

    /** 仪表系数  */
    @Excel(name = "仪表系数 ")
    private String dMeterFactor;

    /** 脉冲数  */
    @Excel(name = "脉冲数 ")
    private String dPulseNum;

    /** 最大体积流量  */
    @Excel(name = "最大体积流量 ")
    private String dVFlowMax;

    /** 最小体积流量  */
    @Excel(name = "最小体积流量 ")
    private String dVFlowMin;

    /** 常用流量  */
    @Excel(name = "常用流量 ")
    private String dVFlowCon;

    /** 压力量程下限  */
    @Excel(name = "压力量程下限 ")
    private String dPfRangeMin;

    /** 压力量程上限  */
    @Excel(name = "压力量程上限 ")
    private String dPfRangeMax;

    /** 差压量程下限  */
    @Excel(name = "差压量程下限 ")
    private String dDpRangeMin;

    /** 差压量程上限  */
    @Excel(name = "差压量程上限 ")
    private String dDpRangeMax;

    /** 温度计量程下限  */
    @Excel(name = "温度计量程下限 ")
    private String dTfRangeMin;

    /** 温度计量程上限  */
    @Excel(name = "温度计量程上限 ")
    private String dTfRangeMax;

    /** 管束车容积  */
    @Excel(name = "管束车容积 ")
    private String dVGsc;

    /** 取样编号 */
    @Excel(name = "取样编号")
    private String sampleno;

    /** 仪表编号 */
    @Excel(name = "仪表编号")
    private String meterno;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setCreateName(String createName) 
    {
        this.createName = createName;
    }

    public String getCreateName() 
    {
        return createName;
    }
    public void setUpdateName(String updateName) 
    {
        this.updateName = updateName;
    }

    public String getUpdateName() 
    {
        return updateName;
    }
    public void setdFlowCalbz(String dFlowCalbz) 
    {
        this.dFlowCalbz = dFlowCalbz;
    }

    public String getdFlowCalbz() 
    {
        return dFlowCalbz;
    }
    public void setdZcalbz(String dZcalbz) 
    {
        this.dZcalbz = dZcalbz;
    }

    public String getdZcalbz() 
    {
        return dZcalbz;
    }
    public void setdCbtj(String dCbtj) 
    {
        this.dCbtj = dCbtj;
    }

    public String getdCbtj() 
    {
        return dCbtj;
    }
    public void setDpbM(String dpbM) 
    {
        this.dpbM = dpbM;
    }

    public String getDpbM() 
    {
        return dpbM;
    }
    public void setDtbM(String dtbM) 
    {
        this.dtbM = dtbM;
    }

    public String getDtbM() 
    {
        return dtbM;
    }
    public void setDpbE(String dpbE) 
    {
        this.dpbE = dpbE;
    }

    public String getDpbE() 
    {
        return dpbE;
    }
    public void setDtbE(String dtbE) 
    {
        this.dtbE = dtbE;
    }

    public String getDtbE() 
    {
        return dtbE;
    }
    public void setdPatm(String dPatm) 
    {
        this.dPatm = dPatm;
    }

    public String getdPatm() 
    {
        return dPatm;
    }
    public void setdPatmUnit(String dPatmUnit) 
    {
        this.dPatmUnit = dPatmUnit;
    }

    public String getdPatmUnit() 
    {
        return dPatmUnit;
    }
    public void setDngCompents(String dngCompents) 
    {
        this.dngCompents = dngCompents;
    }

    public String getDngCompents() 
    {
        return dngCompents;
    }
    public void setdMeterType(String dMeterType) 
    {
        this.dMeterType = dMeterType;
    }

    public String getdMeterType() 
    {
        return dMeterType;
    }
    public void setdCoreType(String dCoreType) 
    {
        this.dCoreType = dCoreType;
    }

    public String getdCoreType() 
    {
        return dCoreType;
    }
    public void setdPtmode(String dPtmode) 
    {
        this.dPtmode = dPtmode;
    }

    public String getdPtmode() 
    {
        return dPtmode;
    }
    public void setdPipeType(String dPipeType) 
    {
        this.dPipeType = dPipeType;
    }

    public String getdPipeType() 
    {
        return dPipeType;
    }
    public void setdPipeD(String dPipeD) 
    {
        this.dPipeD = dPipeD;
    }

    public String getdPipeD() 
    {
        return dPipeD;
    }
    public void setdLenUnit(String dLenUnit) 
    {
        this.dLenUnit = dLenUnit;
    }

    public String getdLenUnit() 
    {
        return dLenUnit;
    }
    public void setdPipeDtemp(String dPipeDtemp) 
    {
        this.dPipeDtemp = dPipeDtemp;
    }

    public String getdPipeDtemp() 
    {
        return dPipeDtemp;
    }
    public void setdPileDtempU(String dPileDtempU) 
    {
        this.dPileDtempU = dPileDtempU;
    }

    public String getdPileDtempU() 
    {
        return dPileDtempU;
    }
    public void setdPipeMaterial(String dPipeMaterial) 
    {
        this.dPipeMaterial = dPipeMaterial;
    }

    public String getdPipeMaterial() 
    {
        return dPipeMaterial;
    }
    public void setdOrificeD(String dOrificeD) 
    {
        this.dOrificeD = dOrificeD;
    }

    public String getdOrificeD() 
    {
        return dOrificeD;
    }
    public void setdOrificeUnit(String dOrificeUnit) 
    {
        this.dOrificeUnit = dOrificeUnit;
    }

    public String getdOrificeUnit() 
    {
        return dOrificeUnit;
    }
    public void setdOrificeDtemp(String dOrificeDtemp) 
    {
        this.dOrificeDtemp = dOrificeDtemp;
    }

    public String getdOrificeDtemp() 
    {
        return dOrificeDtemp;
    }
    public void setdOrificeDtempUnit(String dOrificeDtempUnit) 
    {
        this.dOrificeDtempUnit = dOrificeDtempUnit;
    }

    public String getdOrificeDtempUnit() 
    {
        return dOrificeDtempUnit;
    }
    public void setdOrificeMaterial(String dOrificeMaterial) 
    {
        this.dOrificeMaterial = dOrificeMaterial;
    }

    public String getdOrificeMaterial() 
    {
        return dOrificeMaterial;
    }
    public void setdOrificeSharpness(String dOrificeSharpness) 
    {
        this.dOrificeSharpness = dOrificeSharpness;
    }

    public String getdOrificeSharpness() 
    {
        return dOrificeSharpness;
    }
    public void setdOrificeRk(String dOrificeRk) 
    {
        this.dOrificeRk = dOrificeRk;
    }

    public String getdOrificeRk() 
    {
        return dOrificeRk;
    }
    public void setdOrificeRkLenU(String dOrificeRkLenU) 
    {
        this.dOrificeRkLenU = dOrificeRkLenU;
    }

    public String getdOrificeRkLenU() 
    {
        return dOrificeRkLenU;
    }
    public void setdPf(String dPf) 
    {
        this.dPf = dPf;
    }

    public String getdPf() 
    {
        return dPf;
    }
    public void setdPfUnit(String dPfUnit) 
    {
        this.dPfUnit = dPfUnit;
    }

    public String getdPfUnit() 
    {
        return dPfUnit;
    }
    public void setdPfType(String dPfType) 
    {
        this.dPfType = dPfType;
    }

    public String getdPfType() 
    {
        return dPfType;
    }
    public void setdTf(String dTf) 
    {
        this.dTf = dTf;
    }

    public String getdTf() 
    {
        return dTf;
    }
    public void setdTfUnit(String dTfUnit) 
    {
        this.dTfUnit = dTfUnit;
    }

    public String getdTfUnit() 
    {
        return dTfUnit;
    }
    public void setdDp(String dDp) 
    {
        this.dDp = dDp;
    }

    public String getdDp() 
    {
        return dDp;
    }
    public void setdDpUnit(String dDpUnit) 
    {
        this.dDpUnit = dDpUnit;
    }

    public String getdDpUnit() 
    {
        return dDpUnit;
    }
    public void setdVFlowUnit(String dVFlowUnit) 
    {
        this.dVFlowUnit = dVFlowUnit;
    }

    public String getdVFlowUnit() 
    {
        return dVFlowUnit;
    }
    public void setdMFlowUnit(String dMFlowUnit) 
    {
        this.dMFlowUnit = dMFlowUnit;
    }

    public String getdMFlowUnit() 
    {
        return dMFlowUnit;
    }
    public void setdEFlowUnit(String dEFlowUnit) 
    {
        this.dEFlowUnit = dEFlowUnit;
    }

    public String getdEFlowUnit() 
    {
        return dEFlowUnit;
    }
    public void setdCd(String dCd) 
    {
        this.dCd = dCd;
    }

    public String getdCd() 
    {
        return dCd;
    }
    public void setdCdCalMethod(String dCdCalMethod) 
    {
        this.dCdCalMethod = dCdCalMethod;
    }

    public String getdCdCalMethod() 
    {
        return dCdCalMethod;
    }
    public void setdMeterFactor(String dMeterFactor) 
    {
        this.dMeterFactor = dMeterFactor;
    }

    public String getdMeterFactor() 
    {
        return dMeterFactor;
    }
    public void setdPulseNum(String dPulseNum) 
    {
        this.dPulseNum = dPulseNum;
    }

    public String getdPulseNum() 
    {
        return dPulseNum;
    }
    public void setdVFlowMax(String dVFlowMax) 
    {
        this.dVFlowMax = dVFlowMax;
    }

    public String getdVFlowMax() 
    {
        return dVFlowMax;
    }
    public void setdVFlowMin(String dVFlowMin) 
    {
        this.dVFlowMin = dVFlowMin;
    }

    public String getdVFlowMin() 
    {
        return dVFlowMin;
    }
    public void setdVFlowCon(String dVFlowCon) 
    {
        this.dVFlowCon = dVFlowCon;
    }

    public String getdVFlowCon() 
    {
        return dVFlowCon;
    }
    public void setdPfRangeMin(String dPfRangeMin) 
    {
        this.dPfRangeMin = dPfRangeMin;
    }

    public String getdPfRangeMin() 
    {
        return dPfRangeMin;
    }
    public void setdPfRangeMax(String dPfRangeMax) 
    {
        this.dPfRangeMax = dPfRangeMax;
    }

    public String getdPfRangeMax() 
    {
        return dPfRangeMax;
    }
    public void setdDpRangeMin(String dDpRangeMin) 
    {
        this.dDpRangeMin = dDpRangeMin;
    }

    public String getdDpRangeMin() 
    {
        return dDpRangeMin;
    }
    public void setdDpRangeMax(String dDpRangeMax) 
    {
        this.dDpRangeMax = dDpRangeMax;
    }

    public String getdDpRangeMax() 
    {
        return dDpRangeMax;
    }
    public void setdTfRangeMin(String dTfRangeMin) 
    {
        this.dTfRangeMin = dTfRangeMin;
    }

    public String getdTfRangeMin() 
    {
        return dTfRangeMin;
    }
    public void setdTfRangeMax(String dTfRangeMax) 
    {
        this.dTfRangeMax = dTfRangeMax;
    }

    public String getdTfRangeMax() 
    {
        return dTfRangeMax;
    }
    public void setdVGsc(String dVGsc) 
    {
        this.dVGsc = dVGsc;
    }

    public String getdVGsc() 
    {
        return dVGsc;
    }
    public void setSampleno(String sampleno) 
    {
        this.sampleno = sampleno;
    }

    public String getSampleno() 
    {
        return sampleno;
    }
    public void setMeterno(String meterno) 
    {
        this.meterno = meterno;
    }

    public String getMeterno() 
    {
        return meterno;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createName", getCreateName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateName", getUpdateName())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("dFlowCalbz", getdFlowCalbz())
            .append("dZcalbz", getdZcalbz())
            .append("dCbtj", getdCbtj())
            .append("dpbM", getDpbM())
            .append("dtbM", getDtbM())
            .append("dpbE", getDpbE())
            .append("dtbE", getDtbE())
            .append("dPatm", getdPatm())
            .append("dPatmUnit", getdPatmUnit())
            .append("dngCompents", getDngCompents())
            .append("dMeterType", getdMeterType())
            .append("dCoreType", getdCoreType())
            .append("dPtmode", getdPtmode())
            .append("dPipeType", getdPipeType())
            .append("dPipeD", getdPipeD())
            .append("dLenUnit", getdLenUnit())
            .append("dPipeDtemp", getdPipeDtemp())
            .append("dPileDtempU", getdPileDtempU())
            .append("dPipeMaterial", getdPipeMaterial())
            .append("dOrificeD", getdOrificeD())
            .append("dOrificeUnit", getdOrificeUnit())
            .append("dOrificeDtemp", getdOrificeDtemp())
            .append("dOrificeDtempUnit", getdOrificeDtempUnit())
            .append("dOrificeMaterial", getdOrificeMaterial())
            .append("dOrificeSharpness", getdOrificeSharpness())
            .append("dOrificeRk", getdOrificeRk())
            .append("dOrificeRkLenU", getdOrificeRkLenU())
            .append("dPf", getdPf())
            .append("dPfUnit", getdPfUnit())
            .append("dPfType", getdPfType())
            .append("dTf", getdTf())
            .append("dTfUnit", getdTfUnit())
            .append("dDp", getdDp())
            .append("dDpUnit", getdDpUnit())
            .append("dVFlowUnit", getdVFlowUnit())
            .append("dMFlowUnit", getdMFlowUnit())
            .append("dEFlowUnit", getdEFlowUnit())
            .append("dCd", getdCd())
            .append("dCdCalMethod", getdCdCalMethod())
            .append("dMeterFactor", getdMeterFactor())
            .append("dPulseNum", getdPulseNum())
            .append("dVFlowMax", getdVFlowMax())
            .append("dVFlowMin", getdVFlowMin())
            .append("dVFlowCon", getdVFlowCon())
            .append("dPfRangeMin", getdPfRangeMin())
            .append("dPfRangeMax", getdPfRangeMax())
            .append("dDpRangeMin", getdDpRangeMin())
            .append("dDpRangeMax", getdDpRangeMax())
            .append("dTfRangeMin", getdTfRangeMin())
            .append("dTfRangeMax", getdTfRangeMax())
            .append("dVGsc", getdVGsc())
            .append("sampleno", getSampleno())
            .append("meterno", getMeterno())
            .toString();
    }
}
