package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.SysUnitConvert;

/**
 * 单位换算Mapper接口
 * 
 * @author ruoyi
 * @date 2025-02-09
 */
public interface SysUnitConvertMapper 
{
    /**
     * 查询单位换算
     * 
     * @param id 单位换算主键
     * @return 单位换算
     */
    public SysUnitConvert selectSysUnitConvertById(Long id);

    /**
     * 查询单位换算列表
     * 
     * @param sysUnitConvert 单位换算
     * @return 单位换算集合
     */
    public List<SysUnitConvert> selectSysUnitConvertList(SysUnitConvert sysUnitConvert);

    /**
     * 新增单位换算
     * 
     * @param sysUnitConvert 单位换算
     * @return 结果
     */
    public int insertSysUnitConvert(SysUnitConvert sysUnitConvert);

    /**
     * 修改单位换算
     * 
     * @param sysUnitConvert 单位换算
     * @return 结果
     */
    public int updateSysUnitConvert(SysUnitConvert sysUnitConvert);

    /**
     * 删除单位换算
     * 
     * @param id 单位换算主键
     * @return 结果
     */
    public int deleteSysUnitConvertById(Long id);

    /**
     * 批量删除单位换算
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysUnitConvertByIds(Long[] ids);
}
